Subject: Re: [patch 0/6] ps3vram driver patches

From: Arnd Bergmann <[email-masked]>
Date: Wed, 7 Jan 2009 19:44:44 +0100

On Tuesday 06 January 2009, Geoff Levand wrote:
> Patches 3-6 are minor cleanups suggested by Arnd Bergmann.  I have left two
> of Arnd's sugestions, implementing the driver as a block device, similar to
> the axonram driver, and eliminating the need to ioremap.  These will require
> a significant re-work.

My complaint about the ioremap was just about the type of the mapping,
not something fundamental. Please just replace ioremap(addr, size) with
ioremap_flags(addr, size, _PAGE_NO_CACHE) in order to get a mapping without
the guarded bit.

If everyone else thinks that doing the ps3vram driver as an MTD rather than
a block device is acceptable, I have no further objections. Thanks for
following up on my other comments.

Acked-by: Arnd Bergmann <[email-masked]>

	Arnd <><